SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001633SiT!triggerspublic2011-06-29 13:532012-07-07 18:10
Reporterrofz 
Assigned ToTomse 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSLinuxOS Version2.6+later
Product Version3.63p1 
Target Version3.66 LTSFixed in Version3.66 LTS 
Summary0001633: Engineer users are never notified by email through the 'Incident Assigned' trigger when incident is created by a site contact
DescriptionEngineer users are never notified when a new incident is created by a portal user/site contact and when using the default trigger 'Incident Assigned' and the default email template 'EMAIL_INCIDENT_REASSIGNED_USER_NOTIFY'.

This issue has been discussed in the following user's forum thread: http://sitracker.org/forum/viewtopic.php?f=4&t=1417394 [^]
Steps To ReproduceCreate a new action for a user's trigger 'Incident Assigned' and use the builtin email template 'EMAIL_INCIDENT_REASSIGNED_USER_NOTIFY'. Log to sit as a site contact and create a 'New Incident'. The incident is correctly assigned to a engineer user, but this user is never notified by email.
Additional InformationThe trigger and email notification works when the incident is created by another user (engineer).
Other email notifications, such as when the site contact creates the new incident, works too. (just to exclude a configuration problem with the email server).
Tried with a clean install of sit 3.62 and 3.63p1. Tried also with the vmware image of sit 3.61p1.
TagsNo tags attached.
Attached Filestxt file icon sitracker-debug.txt [^] (107,225 bytes) 2011-06-29 13:53 [Show Content]

- Relationships

-  Notes
User avatar (0004457)
dipohl (developer)
2012-03-03 21:06

Tested this with current SVN version. Can reproduce if Autoassign is active. Otherwise the message to engineer is sent, but not when autoassigned.
User avatar (0004459)
Tomse (developer)
2012-03-04 10:02

fixed in svn7490

- Issue History
Date Modified Username Field Change
2011-06-29 13:53 rofz New Issue
2011-06-29 13:53 rofz File Added: sitracker-debug.txt
2012-03-03 21:06 dipohl Note Added: 0004457
2012-03-04 10:01 Tomse Assigned To => Tomse
2012-03-04 10:01 Tomse Status new => confirmed
2012-03-04 10:02 Tomse Note Added: 0004459
2012-03-04 10:02 Tomse Status confirmed => resolved
2012-03-04 10:02 Tomse Fixed in Version => 3.66 LTS
2012-03-04 10:02 Tomse Resolution open => fixed
2012-07-06 14:22 Tomse Target Version => 3.66 LTS
2012-07-07 18:10 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker